CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

calibre-server [Optionen] [Pfad zum Bibliotheksordner …]

Starten des Calibre-Inhalteservers. Der Calibre-Inhalteserver stellt Ihre Calibre-Bibliotheken über das Internet bereit. Sie können den Pfad zu den Bibliotheksordnern als Argumente von calibre-server angeben. Falls Sie keinen Pfad angeben, werden alle dem Calibre-Hauptprogramm bekannten Bibliotheken verwendet.

Wann immer Sie Argumente mit Leerzeichen an calibre-server weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: „/some path/with spaces“

[OPTIONEN]

--access-log
    Pfad zur Zugangsprotokolldatei. Dieses Protokoll enthält Informationen über Clients, die sich mit dem Server verbinden und Anfragen stellen. Standardmäßig wird keine Protokollierung durchgeführt.

--ajax-timeout
    Time (in seconds) to wait for a response from the server when making queries.

--auth-mode
    Wählen Sie die verwendete Authentifizierungsart aus. Festlegen des vom Server verwendeten HTTP-Authentifizierungsmodus. Setzen Sie diesen auf "basic", falls Sie diesen Server hinter einem SSL-Proxy verwenden. Belassen Sie ihn ansonsten auf "Auto", was "Basic" verwendet, falls SSL konfiguriert ist, andernfalls wird "digest" verwendet.

--auto-reload
    Den Server automatisch neu laden, wenn sich der Quellcode ändert. Nützlich für Entwickler. Sie sollten außerdem einen kleinen Wert für die Zeitüberschreitung zum Herunterfahren angeben.

--ban-after
    Number of login failures for ban. The number of login failures after which an IP address is banned

--ban-for
    Ban IP addresses that have repeated login failures. Temporarily bans access for IP addresses that have repeated login failures for the specified number of minutes. Useful to prevent attempts at guessing passwords. If set to zero, no banning is done.

--compress-min-size
    Min. Größe, bei der Antworten Datenkompression verwenden (in Bytes).

--custom-list-template
    Path to a JSON file containing a template for the custom book list mode. The easiest way to create such a template file is to go to Preferences-> Sharing over the net-> Book list template in calibre, create the template and export it.

--daemonize
    Prozess im Hintergrund als Dienst ausführen (nur Linux).

--displayed-fields
    Angezeigte benutzerdefinierte Felder beschränken. Kommagetrennte Liste von benutzerdefinierten Metadatenfeldern, die vom Inhalteserver in den Ansichten "/opds" und "/mobile" angezeigt werden sollen. Falls Sie diese Option verwenden, werden sämtliche in der Liste nicht enthaltenen Felder nicht angezeigt. Zum Beispiel: my_rating,my_tags

--enable-allow-socket-preallocation, --disable-allow-socket-preallocation
    Socket-Vorzuweisung, z. B. mit systemd-Socket-Aktivierung. Standardmäßig ist diese Optione aktiviert.

--enable-auth, --disable-auth
    Passwortbasierte Authentifizierung für Serverzugriff. Normalerweise ist der Server nicht eingeschränkt, sodass jeder darauf Zugriff hat. Mit dier Option können Sie den Zugriff auf vordefinierte Benutzer beschränken. Standardmäßig ist diese Option deaktiviert.

--enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
    Rückgriff auf autom. erkannte Schnittstelle. Falls es dem Server aus irgendeinem Grund nicht möglich ist, die in der Option "listen_on" angegebene Schnittstelle einzubinden, wird versucht, eine Schnittstelle zu erkennen, die mit der Außenwelt verbindet, und dann diese einzubinden. Standardmäßig ist diese Optione aktiviert.

--enable-local-write, --disable-local-write
    Allow un-authenticated local connections to make changes. Normally, if you do not turn on authentication, the server operates in read-only mode, so as to not allow anonymous users to make changes to your calibre libraries. This option allows anybody connecting from the same computer as the server is running on to make changes. This is useful if you want to run the server without authentication but still use calibredb to make changes to your calibre libraries. Note that turning on this option means any program running on the computer can make changes to your calibre libraries. Standardmäßig ist diese Option deaktiviert.

--enable-log-not-found, --disable-log-not-found
    HTTP 404 (nicht gefunden)-Anfragen protokollieren. Normalerweise protokolliert der Server alle HTTP-Anfragen nach nicht gefundenen Ressourcen. Dies kann zu einer nicht unerheblichen Menge von Protokollmüll führen, falls Ihr Server das Ziel von Bots ist. Verwenden Sie diese Option, um die Protokollierung auszuschalten. Standardmäßig ist diese Optione aktiviert.

--enable-use-bonjour, --disable-use-bonjour
    OPDS-Feeds via BonJour veröffentlichen. OPDS-Feeds via BonJour-Dienst veröffentlichen, sodass OPDS-basierte Lese-Apps den Server automatisch erkennen und sich mit diesem verbinden können. Standardmäßig ist diese Optione aktiviert.

--enable-use-sendfile, --disable-use-sendfile
    Zero-Copy-Dateiübertragungen für verbesserte Leistung. Dies verwendet beim Senden von Dateien über das Netzwerk sogenannte Zero-Copy-, In-Kernel-Übertragungen, was die Leistung verbessert. Dies kann jedoch beschädigte Dateiübertragungen auf einigen fehlerhaften Dateisystemen verursachen. Falls Sie beschädigte Dateiübertragungen feststellen, schalten Sie diese Funktion aus. Standardmäßig ist diese Optione aktiviert.

--help, -h
    Diesen Hilfetext anzeigen und beenden.

--ignored-fields
    Benutzerdefinierte Metadatenfelder ignoriert. Kommagetrennte Liste von benutzerdefinierten Metadatenfeldern, die vom Inhalteserver in den Ansichten "/opds" und "/mobile" nicht angezeigt werden sollen. Zum Beispiel: my_rating,my_tags

--listen-on
    Schnittstelle, die auf eingehende Verbindungen warten soll. Standardmäßig werden alle verfügbaren Schnittstellen überwacht. Sie können dies beispielsweise in "127.0.0.1" ändern, um nur Verbindungen von der lokalen Maschine zu überwachen, oder in "::", um alle eingehenden IPv6- und IPv4-Verbindungen zu überwachen.

--log
    Pfad zur Protokolldatei für das Serverprotokoll. Dieses Protokoll beinhaltet Serverinformationen und -fehler, keine Zugriffsprotokolle. Standardmäßig wird die Protokolldatei in stdout geschrieben.

--manage-users
    Datenbank der Benutzer verwalten, die Zugriff auf diesen Server haben. Beachten Sie auch die --userdb-Option.

--max-header-line-size
    Max. Größe eines einzelnen HTTP-Headers (in KB).

--max-job-time
    Maximalzeit für Arbeiterprozesse. Maximale Zeit, die Arbeiterprozesse ausgeführt werden dürfen (in Minuten). Zum Deaktivieren der Zeitbeschränkung auf Null setzen.

--max-jobs
    Maximale Anzahl von Arbeiterprozessen. Arbeiterprozesse werden nach Bedarf gestartet und für umfangreiche Aufgaben verwendet, wie das Vorbereiten eine Buches für die Anzeige, Hinzufügen von Büchern, Konvertieren usw. Normalerweise basiert die maximale Anzahl solcher Prozesse auf der Anzahl von CPU-Kernen. Sie können sie mit dieser Einstellung steuern.

--max-log-size
    Max. Protokolldateigröße (in MB). Maximalgröße von vom Server erzeugten Protokolldateien. Sobald das Protokoll größer als die angegebene Größe wird, wird dieses automatisch rotiert. Zum Deaktivieren der Protokollrotation auf Null setzen.

--max-opds-items
    Maximale Anzahl von Büchern in OPDS-Feeds. Maximale Anzahl von Büchern, die der Server in einem einzelnen OPDS-Bezugs-Feed zurückgibt.

--max-opds-ungrouped-items
    Max. Anzahl nicht gruppierter Elemente in OPDS-Feeds. Kategorieelemente wie Autor/Schlagwörter nach dem ersten Buchstaben gruppieren, falls mehr als die angegebene Anzahl von Elementen existiert. Zum Deaktivieren auf Null setzen.

--max-request-body-size
    Max. zulässige Größe für auf den Server hochgeladene Dateien (in MB).

--num-per-page
    Number of books to show in a single page. The number of books to show in a single page in the browser.

--pidfile
    Prozess-PID in die angegebene Datei schreiben

--port
    Port, auf dem auf Verbindungen gewartet werden soll.

--shutdown-timeout
    Wartezeit in Sekunden bis zu einem sauberen Herunterfahren.

--ssl-certfile
    Pfad zur SSL-Zertifikatsdatei.

--ssl-keyfile
    Pfad zur SSL-Privatschlüsseldatei.

--timeout
    Zeit (in Sekunden), nach der eine untätige Verbindung geschlossen wird.

--url-prefix
    Vorzustellendes Präfix für alle URLs. Hilfreich, wenn Sie diesen Server hinter einem Reverse-Proxy betreiben möchten. Verwenden Sie beispielsweise "/calibre" als das URL-Präfix.

--userdb
    Path to the user database to use for authentication. The database is a SQLite file. To create it use --manage-users. You can read more about managing users at: https://manual.calibre-ebook.com/de/server.html#managing-user-accounts-from-the-command-line-only

--version
    Programmversion anzeigen und beenden

--worker-count
    Anzahl von Arbeiterprozessen für die Verarbeitung von Anfragen.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal